#include <iostream>
#include <map>
#include <string>
#include <vector>

#include <algorithm>

using std::cin;
using std::cout;
using std::endl;
using std::map;
using std::string;
using std::vector;

struct Pair {
	string word;
	int amout;
};

bool comp(const Pair& e1, const Pair& e2) {
	return e1.amout > e2.amout;
}

int main()
{
	string s;
	map<string, int> counters; // store each word and an associated counter
	// read the input, keeping track of each word and how often we see it
	while (cin >> s)
		++counters[s];
		
	// sortieren
	vector<Pair> counters_sorted;
	Pair temp;
	for (map<string, int>::const_iterator it = counters.begin();
		it != counters.end(); ++ it) {
		temp.word = (*it).first;
		temp.amout = (*it).second;
		counters_sorted.push_back(temp);	
	}
	
	// sort
	sort(counters_sorted.begin(), counters_sorted.end(), comp);
	
	// write the words
	for (vector<Pair>::const_iterator it = counters_sorted.begin();
		it != counters_sorted.end(); ++it) {
		cout << (*it).word  << "\t" << (*it).amout  << endl;
	}
}

